Album: 'Heaven;Sent'
Directory: heaven-sent
Artists:
- Swagazaki
Date: March 5, 2022
Date Added: April 26, 2022
URLs: 
- https://swagazaki.bandcamp.com/album/heaven-sent
Has Track Art: false
Cover Artists:
- Swagazaki
Cover Art File Extension: png
Color: '#e20084'
Groups:
- Fandom
---
Track: Heaven Sent (Unfinished)
Duration: '01:50'
URLs: 
- https://swagazaki.bandcamp.com/track/heaven-sent-unfinished
---
Track: Mika
Duration: '02:13'
URLs: 
- https://swagazaki.bandcamp.com/track/mika
---
Track: Meichasprite
Duration: '01:52'
URLs: 
- https://swagazaki.bandcamp.com/track/meichasprite
Referenced Tracks:
- Mika
- Metal Crusher
---
Track: Rictus
Duration: '01:44'
URLs: 
- https://swagazaki.bandcamp.com/track/rictus
Referenced Tracks:
- Toxic Caves
- The Lemonsnout Turnabout
---
Track: Pete
Duration: '01:09'
URLs: 
- https://swagazaki.bandcamp.com/track/pete
---
Track: Nightosphere Bass (Unfinished)
Duration: '00:16'
URLs: 
- https://swagazaki.bandcamp.com/track/nightosphere-bass-unfinished
---
Track: Chroma
Artists:
- Swagazaki
- Chimune
Duration: '03:02'
URLs: 
- https://swagazaki.bandcamp.com/track/chroma
---
Track: Bagarre ! (Unfinished)
Duration: '00:38'
URLs: 
- https://swagazaki.bandcamp.com/track/bagarre-unfinished
Referenced Tracks:
- Nightosphere Bass (Unfinished)
---
Track: Grimnarc Voodoo
Duration: '05:00'
URLs: 
- https://swagazaki.bandcamp.com/track/grimnarc-voodoo
---
Track: Frog Eater
Duration: '04:00'
URLs: 
- https://swagazaki.bandcamp.com/track/frog-eater
Referenced Tracks:
- Lilith
- Meichasprite
---
Track: The Oligarch
Duration: '03:02'
URLs: 
- https://swagazaki.bandcamp.com/track/the-oligarch
---
Track: Lilith
Duration: '03:22'
URLs: 
- https://swagazaki.bandcamp.com/track/lilith
---
Track: Yuwrie
Duration: '01:42'
URLs: 
- https://swagazaki.bandcamp.com/track/yuwrie
---
Track: Across Time
Duration: '02:40'
URLs: 
- https://swagazaki.bandcamp.com/track/across-time
Referenced Tracks:
- Mika
- Rex Duodecim Angelus